gettext

From AIXTOOLS
Jump to: navigation, search

Packages|GNU|aixtools.gnu.gettext.0.19.8.1.I
Report Issues (via Forums) and/or TWEET:@rootvgnet
MD5 Checksums

231D12B51A22630D55CEE50C91BB8F74 aixtools.gnu.gettext.0.19.8.1.I
50E4865D0235A7DAD319250D16F1CF3D aixtools.gnu.gettext.0.19.6.3.I
F4F7EDCBAC25E17313C58004901013E2 aixtools.gnu.gettext.0.19.6.2.I
8CDE342B8A4F4D97535A277D52522035 aixtools.gnu.gettext.0.19.6.1.I
36AAE4DCE31F81B6E0B3656150C50925 aixtools.gnu.gettext.0.19.5.0.I
F334979F8F9BE9CA49179B3390715382 aixtools.gnu.gettext.0.19.4.0.I
9F2E32C2D46E8164F9FCCF8B3E5BB4A3 aixtools.gnu.gettext.0.18.1.1.I

Contents

Package Details

Sources from: https://www.gnu.org/software/gettext/
Depends on: aixtools.gnu.libiconv

Introduction

I was always a bit curious, even perplexed, that (nearly?) every GNU package had gettext as a prerequisite. This is not because of the makeinfo command - but because of what makeinfo makes - i.e., what is this "info". Again, will need to dig a bit deeper, but it seems the real reason gettext is there for everything is because it does for GNU what AIX Language Support does for AIX -i.e., competing approaches to message-text (translation) multilingual support.

gettext-0.19.8.1

--Michael Felt (talk) 18:30, 21 August 2016 (UTC) The VRMF 0.19.18.1 is the latest release. Likewise built as XCOFF64 (the binaries in /opt/bin and elsewhere) with dual support for 32-bit and 64-bit applications.

Note: don't forget to also download the latest libiconv

gettext-0.19.6.3

--Michael Felt (talk) 11:44, 24 May 2016 (UTC) bug correction in installp scripts - had forgotten to include libintl.so.1 in the new archive in /opt/lib.

The executables in /opt/bin are XCOFF64 and the libraries in /opt/lib (and symbolic links to them in /usr/lib) support both 32-bit and 64-bit applications. Per above, the "ancient" libintl.so.1 are still there - but only for applications from rpm.rte that depend on them. New applicatons will link to the libintl.so.8 member.

--Michael Felt (talk) 17:47, 19 April 2016 (UTC) packaged, and then repackaged because gettext now has a dependency of it's own, snif - libiconv. Other than that, it is just a newer version that 0.19.5 that has been here for a while

gettext-0.19.4

I removed the package I had previously made available. There was a loop in the solution of the run-time library linking - my error, not gettext. So, once I have my build system rebuilt I will repackage as 0.19.4.1 (so it will install even if you had already downloaded 0.19.4.0 - now removed). --Michael Felt (talk) 06:16, 10 March 2015 (UTC)

The mistake was all mine - assembling the package while many other packages were also installed. And so the new gettext also wanted many of those packages installed. A few days will pass but I will soon have a new package for you. --Michael Felt (talk) 18:03, 20 March 2015 (UTC)

gettext-0.19.3

2014-10-16 8:20:00 AM

Versions 0.18.2 through 0.19.3 had an issue with the embedded glib code. This was patched in version 0.19.4 and now again, there is a version that can be compiled and packaged for AIX.

packaging issues

+ /opt/bin/make > build/aix/make.out
    1500-010: (W) WARNING in ostream__free: Infinite loop.  Program may not stop.
    1500-010: (W) WARNING in ostream__write_mem: Infinite loop.  Program may not stop.
    1500-010: (W) WARNING in ostream__flush: Infinite loop.  Program may not stop.
"pipe-filter-aux.h", line 99.14: 1506-780 (S) Reference to "select" with internal linkage is not allowed within inline definition of "nonintr_select".
make[5]: *** [pipe-filter-ii.lo] Error 1
make[4]: *** [all] Error 2
make[3]: *** [all-recursive] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
/opt/bin/make returned an error

gettext-0.18.1

2010-06-04 12:00:00 AM

(was) available at: http://download.aixtools.net/gnu/aixtools.gettext.0.18.1.1.I

Personal tools
Namespaces

Variants
Actions
Navigation
Downloads
Toolbox